Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt.repository
Class Import

    java.lang.Object
      |
      +--com.bea.wlxt.repository.Import

public class Import
extends java.lang.Object

Application used to import documents into a repository. The command line fo invoking the WLXT Repository Improter is:

      java com.bea.wlxt.repository.Import [-v] [-n] [-t type]
                                                  [-f folder] files ....

          Where:
              -v          Turns on verbose mode.  This switch may
                          appear anywhere within the command line
                          and affects all operations that follow.
                          By default verbose mode is disabled.

              -n          Turns off verbose mode.  This switch may
                          appear anywhere within the command line
                          and affects all operations that follow.
                          By default verbose mode is disabled.

              -f          Optional switch indicating the folder
                          to be the parent of all the following
                          files.  Multiple -f switches may be
                          specified to change folders during an
                          import execution.  By default documents
                          are imported into the root folder of the
                          repository.  A special -f switch argument
                          of @ may be used to specify the root
                          folder.

                          Folder names specified in the -f switch
                          are always absolute pathnames from the
                          repository root folder.

                          Folder names within a path should be
                          separated by a forward slash.

              -t          Optional switch indicating the default type of
                          all following files.  The default type is
                          assigned to documents when the document type
                          cannot be determined by the file extension.
                          Valid values are: .mfl, .class, .dtd, .xsd

              files       One or more filenames to be imported.

The document type of imported documents is derived from the file extension as follows:

              File Extension          Document Type Assigned
              --------------          ----------------------
                  .dtd                        DTD
                  .xsd                      XML Schema
                  .mfl                        MFL
                  .class                   Java Class
                  .xsl                        XSLT
              anything else            default type (defaults to MFL)

Switches take effect at the point in the command line where they are encountered and remain in effect unless overridden by another switch. Following are some example import command lines:

      java com.bea.wlxt.repository.Import *.mfl
          Import all MFL files in the current directory.

      java com.bea.wlxt.repository.Import -f mydocs/new *.mfl -f @ *.dtd
          Import all MFL files in the current directory into the mydocs/new
          folder and then import all DTD files into the root folder.

      java com.bea.wlxt.repository.Import a.mfl -f dtd a.dtd -f schema a.xsd
          Import a.mfl into the root folder, a.dtd into the dtd folder and
          a.xsd into the schema folder.

      java com.bea.wlxt.repository.Import -t .xsd *
          Import all files in the current directory.  Any file which does not
          have an extension of .mfl, .dtd, or .xsd will be imported as XML
          Schema.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Import()`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Import

    public Import()

Method Detail

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)